Module java.base
Package java.net

# Class HttpRetryException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.net.HttpRetryException

All Implemented Interfaces:
  `Serializable`

public class HttpRetryException extends IOException
Thrown to indicate that a HTTP request needs to be retried but cannot be retried automatically, due to streaming mode being enabled.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpRetryException(String detail, int code)`
  Constructs a new `HttpRetryException` from the specified response code and exception detail message
  `HttpRetryException(String detail, int code, String location)`
  Constructs a new `HttpRetryException` with detail message responseCode and the contents of the Location response header field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLocation()`
  Returns the value of the Location header field if the error resulted from redirection.
  `String`
  `getReason()`
  Returns a string explaining why the http request could not be retried.
  `int`
  `responseCode()`
  Returns the http response code

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HttpRetryException

    public HttpRetryException(String detail, int code)
    Constructs a new `HttpRetryException` from the specified response code and exception detail message
    Parameters:
      `detail` - the detail message.
      `code` - the HTTP response code from server.

  - ### HttpRetryException

    public HttpRetryException(String detail, int code, String location)
    Constructs a new `HttpRetryException` with detail message responseCode and the contents of the Location response header field.
    Parameters:
      `detail` - the detail message.
      `code` - the HTTP response code from server.
      `location` - the URL to be redirected to

- ## Method Details

  - ### responseCode

    public int responseCode()
    Returns the http response code
    Returns:
      The http response code.

  - ### getReason

    public String getReason()
    Returns a string explaining why the http request could not be retried.
    Returns:
      The reason string

  - ### getLocation

    public String getLocation()
    Returns the value of the Location header field if the error resulted from redirection.
    Returns:
      The location string